Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate.auto
Class AutoSchemaReader

    java.lang.Object
      com.thaiopensource.validate.auto.AutoSchemaReader

All Implemented Interfaces:
  SchemaReader

    public class AutoSchemaReader

extends Object
implements SchemaReader

Field Summary

Fields inherited from interface com.thaiopensource.validate.SchemaReader
`BASE_URI`

Constructor Summary
`AutoSchemaReader()`
`AutoSchemaReader(SchemaReceiverFactory srf)`

Method Summary
`Schema` | `createSchema(InputSource in, PropertyMap properties)` Creates a `Schema` by reading it from an `InputSource`.
`Option` | `getOption(String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoSchemaReader

    public AutoSchemaReader()

### AutoSchemaReader

    public AutoSchemaReader(SchemaReceiverFactory srf)

Method Detail

### createSchema

    public Schema createSchema(InputSource in,
                               PropertyMap properties)
                        throws IOException,
                               SAXException,
                               IncorrectSchemaException

  Description copied from interface: `SchemaReader`
  Creates a `Schema` by reading it from an `InputSource`.

  Specified by:
    `createSchema` in interface `SchemaReader`
  Parameters:
    `in` - the `InputSource` from which to read the schema; must not be `null`
    `properties` - a `PropertyMap` to control the schema creation; must not be `null`
  Returns:
    a newly created `Schema`, never `null`
  Throws:
    `IOException` - if an I/O error occurs
    `SAXException`
    `IncorrectSchemaException`
  See Also:
    `ValidateProperty`

### getOption

    public Option getOption(String uri)

  Specified by:
    `getOption` in interface `SchemaReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD